package com.emato.cus.supervise.biz;

import com.emato.cus.supervise.constant.Dict;

/**
 * 账册转换
 * @author Scott Chen
 * @date 2020-05-08
 */
public class EmsClassConversion {
    /**
     * 根据WMS库位编号，转换账册分类
     * @param seatNo
     * @return
     */
    public static String convertBySeatNo(String seatNo) {
        // 如下判断必须与WMS系统的库位编码命名结合
        if (seatNo.toUpperCase().startsWith("ZS")) {
            //展示账册分类
            return Dict.emsClassTypeMap.get("ZS");
        } else if (seatNo.toUpperCase().startsWith("CWMD")) {
            // 2024-02-02 海关业务变化，导致CW使用新的账册出区，WMS库位启用新的前缀标识 CWMD （CW门店的缩写）
            return Dict.emsClassTypeMap.get("CWMD");
        } else if (seatNo.toUpperCase().startsWith("F")) {
            // 非保账册分类
            return Dict.emsClassTypeMap.get("F");
        } else {
            // 其它
            // 跨境电商账册
            return Dict.emsClassTypeMap.get("Others");
        }
    }
}
